%define upstream_name    Math-Factor-XS
%define upstream_version 0.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 24

Summary:    Factorize numbers and calculate matching multiplications
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Params::Validate)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl(boolean)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

# Filters (not)shared c libs
%{?perl_default_filter}

%description
'Math::Factor::XS' factorizes numbers by applying trial divisions.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.yml Changes META.json INSTALL README SIGNATURE
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.400.0-24.mga9
+ Revision: 1862074
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.400.0-23.mga9
+ Revision: 1796355
- Mageia 9 Mass Rebuild

* Tue May 25 2021 tmb <tmb> 0.400.0-22.mga9
+ Revision: 1728013
- rebuild for perl 5.34
+ umeabot <umeabot>
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.400.0-20.mga8
+ Revision: 1594913
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.400.0-19.mga8
+ Revision: 1530314
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.400.0-18.mga8
+ Revision: 1433826
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.400.0-17.mga7
+ Revision: 1293426
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.400.0-16.mga7
+ Revision: 1250097
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.400.0-15.mga7
+ Revision: 1165325
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.400.0-14.mga7
+ Revision: 1149849
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.400.0-13.mga7
+ Revision: 1126750
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.400.0-12.mga6
+ Revision: 1029618
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.400.0-11.mga6
+ Revision: 957705
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.400.0-10.mga6
+ Revision: 844969
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.400.0-9.mga6
+ Revision: 840806
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.400.0-8.mga5
+ Revision: 743845
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.400.0-7.mga5
+ Revision: 735631
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.400.0-6.mga5
+ Revision: 685359
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.400.0-5.mga5
+ Revision: 632300
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.400.0-4.mga4
+ Revision: 524889
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.400.0-3.mga4
+ Revision: 431622
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.400.0-2.mga3
+ Revision: 369592
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 jquelin <jquelin> 0.400.0-1.mga3
+ Revision: 304312
- imported package perl-Math-Factor-XS


* Wed Oct 10 2012 cpan2dist 0.40-1mga
- initial mageia release, generated with cpan2dist
